<div class="pt-8 px-10 xl:px-28">
  <app-dropdown (onDropdownChange)="onDropdownChange($event)"></app-dropdown>
  <app-search (searchChanged)="search($event)"></app-search>
  <div class="float-right">
    <app-button
      (buttonClick)="goToShoppingCart()"
      icon="shopping_cart"
      class="float-right"
      value="Shopping Cart"
      styleType="secondary"></app-button>
  </div>
  <div class="flex flex-wrap py-10 -mx-5">
    <div *ngFor="let product of products" class="w-full sm:w-1/2 md:w-1/3 xl:w-1/4 px-4 mb-4">
      <app-card [product]="product"></app-card>
    </div>
  </div>
</div>
